/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 获取任务详情 GET /api/FlexTask/GetFlexTaskDetail */
export async function getFlexTaskDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetFlexTaskDetailParams,
  options?: API.RequestConfig
) {
  return request<API.GetFlexTaskDetailForBackOutput>('/api/FlexTask/GetFlexTaskDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取运营端任务管理列表 POST /api/FlexTask/GetFlexTaskList */
export async function getFlexTaskList(
  body: API.GetFlexTaskForBackInput,
  options?: API.RequestConfig
) {
  return request<API.FlexTaskListOutputPageOutput>('/api/FlexTask/GetFlexTaskList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取报名详情 POST /api/FlexTask/GetFlexTaskWorkerList */
export async function getFlexTaskWorkerList(
  body: API.GetFlexTaskWorkerListInput,
  options?: API.RequestConfig
) {
  return request<API.GetWorkerListForBackOutputPageOutput>('/api/FlexTask/GetFlexTaskWorkerList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置任务推荐状态 POST /api/FlexTask/SetFlexTaskReRecommendStatus */
export async function setFlexTaskReRecommendStatus(
  body: API.SetRecommendInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexTask/SetFlexTaskReRecommendStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
